INCLUDES = -I$(top_srcdir)/lib -I$(top_srcdir)/lib/external_interfaces \
	-I$(top_srcdir)/lib/interfaces -I$(top_srcdir)/lib/util -I$(top_srcdir)/lib/widgets \
	-I$(top_srcdir)/lib/structure $(all_includes)
METASOURCES = AUTO
lib_LTLIBRARIES = libprofileengine.la
libprofileengine_la_LDFLAGS = $(all_libraries)
libprofileengine_la_LIBADD = $(LIB_TQT) $(LIB_TDECORE) $(LIB_TDEIO)
libprofileengine_la_SOURCES = profileengine.cpp profile.cpp

profileincludedir = $(includedir)/tdevelop/shell/profileengine
profileinclude_HEADERS = profileengine.h profile.h

DOXYGEN_REFERENCES = dcop interfaces tdecore tdefx tdeui tdehtml tdemdi tdeio kjs tdeparts tdeutils kdevutil kdevinterfaces
DOXYGEN_PROJECTNAME = KDevelop Shell Profiles Library
DOXYGEN_DOCDIRPREFIX = kdevprofiles
include ../../../Doxyfile.am
